# Utilisez une image de base avec Java
FROM openjdk:17

# Définissez le répertoire de travail
WORKDIR /app

# Copiez les fichiers build.gradle et settings.gradle pour optimiser le cache des dépendances
COPY build.gradle settings.gradle /app/

# Copiez le script gradlew pour optimiser le cache des dépendances
COPY gradlew /app/gradlew

# Copiez le dossier gradle pour optimiser le cache des dépendances
COPY gradle /app/gradle

# Téléchargez les dépendances (cette étape permet de mettre en cache les dépendances avant de copier tout le projet)
RUN ./gradlew --no-daemon build || true

# Copiez le reste du code source
COPY . /app

# Exposez le port sur lequel votre application Spring Boot fonctionne
EXPOSE 8080

# Spécifiez le profil Spring Boot
ENV SPRING_PROFILES_ACTIVE=local

# Commande pour démarrer votre application Spring Boot
CMD ["java", "-jar", "build/libs/demo-api-0.0.1-SNAPSHOT.jar"]

#  docker build -t nom-de-votre-image:tag -f DockerFile .
#  docker images
#  docker run -p 8080:8080 nom-de-votre-image:tag
#  trouver ou sont les images docker
#  docker info | findstr "Docker Root Dir"
#  docker ps -a
#  docker stop xxx
#  minikube start
#  minikube image load nom-de-votre-image:tag
#  minikube image ls --format table
#  kubectl run first-container --image=nom-de-votre-image:tag --image-pull-policy=Never --restart=Never
#  kubectl get pods
#  kubectl port-forward first-container 8080:8080
#  kubectl delete pod xxx
#  kubectl logs xxx
#  minikube stop
#  minikube delete




